# nvme-ana-log(1) Manual Page

## NAME

nvme-ana-log - Send NVMe ANA log page request, returns result and log

## SYNOPSIS

    nvme ana-log <device> [--groups | -g]
                            [--output-format=<fmt> | -o <fmt>] [--verbose | -v]

## DESCRIPTION

Retrieves the NVMe Asymmetric Namespace Access log page from an NVMe device and provides the returned structure.

The <device> parameter is mandatory NVMe character device (ex: /dev/nvme0).

On success, the returned ANA log structure may be returned in one of several ways depending on the option flags; the structure may parsed by the program and printed in a readable format or the raw buffer may be printed to stdout for another program to parse.

## OPTIONS

-g
--groups

  Return the list of ANA groups without the namespace listing.

-o <fmt>
--output-format=<fmt>

  Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v
--verbose

  Increase the information detail in the output.

## EXAMPLES

- Print the ANA log page in a human readable format:

    # nvme ana-log /dev/nvme0

## NVME

Part of the nvme-user suite